/*********************************************************/
//	NkILSampleCameraInfoPage.h
//		Header file of PropertyPage class for Shooting info.
//
//	Copyright(c) 2007, Nikon Corporation - All rights reserved.
/*********************************************************/
#pragma once

#include "resource.h"
#include "NkILSampleDoc.h"
#define	MAX_LINE_NUM	10

class CNkILSampleCameraInfoPage : public CPropertyPage
{
	DECLARE_DYNAMIC(CNkILSampleCameraInfoPage)

public:
	CNkILSampleCameraInfoPage();
	virtual ~CNkILSampleCameraInfoPage();

// ダイアログ データ
	enum { IDD = IDD_PROPPAGE_SHOOTINGDATA };

	void SetInfomation( VECTCAMERAINFO vecCameraInfo );

protected:
	virtual void DoDataExchange(CDataExchange* pDX);    // DDX/DDV サポート

	afx_msg BOOL OnInitDialog();

	DECLARE_MESSAGE_MAP()

	CString	m_strLine[MAX_LINE_NUM];
	CString m_strNoData;
	bool	m_bNoData;
	
};
